![](https://i.imgur.com/HbjRR3N.png)

Not Enough Photons proudly presents... **Thrusters.**

Have you ever wanted to **launch** that contraption that you spent hours building? I have, many, many times. It was not really possible to build flying shopping carts and live out a 21st century dream. **That worry is in the past!** Thrusters gives you the ability to quite literally lift yourself off the ground.

![](https://cdn.discordapp.com/attachments/855611707635531786/928875669532856370/ezgif-2-652340c637.gif)

[Watch the release video here!](https://www.youtube.com/watch?v=MTVehwLMt4s)

# Instructions

### Settings
Thrusters comes with some customizable features. In **BoneMenu**, you have a small selection of options (for now).

- Thruster Force
- Force Mode
- Delete All Thrusters

Thruster Force and Delete All Thrusters are self-explanitory.
Force Mode however, changes the way force is applied to the thrusters. **Acceleration** applies a gradual force to the object over time. **Force** is just a regular force with no acceleration. **Impulse** and **VelocityChange** are very risky though, as they apply one giant force every frame.

### Items
The Thrusters mod comes with two items that are spawnable from the __Gadgets__ menu.
- Thruster Spawner
- Thruster Activator

The **Thruster Spawner** is responsible for, of course, spawning thrusters in the world. Thruster spawning is only possible on ***physical objects,*** meaning that you can't stick them to the world. Not yet anyway.

In order to change the settings on the spawner, you should see a _big red button_. Grab the button to change the modes.

The modes that you can select from are:
- Spawner
- Selector
- Remover

**Do note that when you FIRST spawn in the spawner, you'll have to grab the button twice to change the modes. I'm not sure why.**

The **Thruster Activator** is responsbile for activating selected thrusters. As mentioned above, you need to select the thrusters you want to activate in order for the activator to do anything. The switch allows you to turn on or off the thrusters.

# Installation
- Simply extract the **Mods** folder to the game directory.

Not Enough Photons (c) 2022.